Subject: Re: git-gui cannot find share/git-gui under cygwin

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 20 Jun 2007 23:30:30 -0400

Mark Levedahl <[email-masked]> wrote:
> Shawn O. Pearce wrote:
> >Yuck.  I'm considering applying the following.  It works ok on Mac
> >OS X where the bug isn't triggered anyway.  ;-) I won't be able to
> >test on Cygwin until tomorrow.
>  
> sorry, no joy. The problem is that gitexecdir=/usr/bin, but...

Thanks for the feedback.

> I don't think there is a portable solution here. Maybe just say
> 
>    if test "$(uname_O)" = Cygwin; then \
>        GITGUI_RELATIVE=; \
> 
> and be done with it.

Yup.  Done.  Now in my `maint`, `master` and `pu` branches.

-- 
Shawn.